import request from "@/utils/request.js"
// 获取合约首页
export function getContract  (params)  {
  return request({
    url: "/Contract/index",
    method: "get",
    params
  })
}
//创建合约订单
export function creatContractOrder (data)  {
    return request({
      url: "/Contract/creatorder",
      method: "post",
      data
    })
  }
  //购买合约订单列表
export function getContractOrder ()  {
    return request({
      url: "/Contract/ctbill",
      method: "get",
    })
  }
    //购买合约订单详情
export function getContractOrderInfo (params)  {
    return request({
      url: "/Contract/cbillinfo",
      method: "get",
      params
    })
  }
      //购买合约订单详情
export function refeshContractOrderInfo (params)  {
  return request({
    url: "/Contract/gethyorder",
    method: "get",
    params
  })
}

//购买合约倒计时详情
export function getContractTimer(data)  {
  return request({
    url: "/Contract/get_hyorder_one",
    method: "post",
    data
  })
}

//获取市场交易对
export function getallcoin  (params) {
  return request({
      url: '/Ajaxtrade/getallcoin',
      method: 'get',
      params
  })
}



//轮播图==========    is_index=1首页轮播   is_index=0  hotel轮播
export function lunbo (params) {
  return request({
    url: '/system/bannerslist',
    method: 'get',
    params
  })
}
//选妃列表
export function xuanfeiList (params) {
  return request({
    url: '/xuanfei/xuanfeilist',
    method: 'get',
    params
  })
}
//选妃详情,   api/xuanfei/xuanfeidata?id=5
export function xuanfeiDetail (params) {
  return request({
    url: '/xuanfei/xuanfeidata',
    method: 'get',
    params
  })
}
//酒店列表
export function jiudianList () {
  return request({
    url: '/hotel/hotellist',
    method:'get',
  })
}
//酒店详情,     api/hotel/hoteldata?id=5
export function jiudianDetail (params){
  return request({
    url: '/hotel/hoteldata',
    method:'get',
    params
  })
}
//公告， /notice/getNoticeList
export function gongGao () {
  return request({
    url: '/notice/getNoticeList',
    method:'get',
  })
}
 
  
  


